org.apache.noggit

## Class CharUtil

- java.lang.Object
- - org.apache.noggit.CharUtil

    public class CharUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CharUtil()`

### Method Summary

Methods
`int` `compare(char[] a, int a_start, int a_end, char[] b, int b_start, int b_end)`
`long` `parseLong(char[] arr, int start, int end)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharUtil

    public CharUtil()

### Method Detail

#### parseLong

    public long parseLong(char[] arr,
                 int start,
                 int end)

#### compare

    public int compare(char[] a,
              int a_start,
              int a_end,
              char[] b,
              int b_start,
              int b_end)